# 新双心 - 前端

## 维护者必读

### 开发或编译前
请根据`env.example.json`的格式按照自己的需求编写`env.json`，或者直接运行`cp env.example.json env.json`，**否则无法正确处理网络请求！**

### 网络请求的用法
引入./src/helper/axios.js（请以相对路径引入），尽情使用其中的post、get方法，它们会返回一个Promise（或可被视作Promise的AsyncFunction），且为方便不会以抛出异常的方式通知网络错误。它会在服务器返回内容中插入属性`networkStatus`，**当值为200时才可以视作正确的服务器响应**，当值为-1时说明这是用户的网络错误。**你不需要处理200以外的情况，代码能够发出弹窗并建议用户重试**